Bug Hunting Session
Bug 95354 - Alt+X represent Unicode characters in the Basic Multilingual Plane by with 4 hexadecimal digits
Summary: Alt+X represent Unicode characters in the Basic Multilingual Plane by with 4 ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-27 09:27 UTC by Óvári
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-10-27 09:27:24 UTC
Version: 5.1.0.0.alpha1+
Build ID: a9b31303b76326e0dc0043082082c5fc1dc69be9
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-16_23:54:12

Please show leading zeros, i.e. U+nnnn, for the Basic Multilingual Plane

“Unicode characters are distinguished by code points, which are conventionally represented by the letter U followed by four or five hexadecimal digits, for example U+00AE or U+1D310.”
https://en.wikipedia.org/wiki/Unicode_input 

This will enable the Basic Multilingual Plane to have a one-to-one mapping after applying Alt-X.
For example, on the first character in the sequence:
0123456789
currently becomes:
U+30123456789
should be
U+0030123456789

List of Unicode characters shown with 4 or 5 hexadecimal digits:
https://en.wikipedia.org/wiki/List_of_Unicode_characters

Thank you
Comment 1 Justin L 2015-10-28 12:20:18 UTC
proposed change:  https://gerrit.libreoffice.org/19631 tdf#95354 - pad AltX to 4 characters
Comment 2 Commit Notification 2015-10-28 14:21:29 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d24b2a352ad32df843964c687970edc4dc0f27aa

tdf#95354 - pad AltX to 4 characters

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Óvári 2015-11-04 10:28:07 UTC
Thank you Justin L for your patch. It works with:

Version: 5.1.0.0.alpha1+ (x64)
Build ID: b35e797ca0e2c7e7ad6dbccea6b92208b209677c
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-11-02_22:21:21